#define __AVR_ATmega16_    (1)     // device select: _ATMEGAxxxx
//#define	_B1024	            (1)     // boot size select: _Bxxx (words) 512,1024
                                    // if this changes then  LDFLAGS += -Wl,-Ttext=0x3800
                                    // in makefile must change accordingly            ^^
    
#define FALSE               (0)
#define TRUE                (1)
	
#define	DEVTYPE             (0x74)      // mega16 supported device code for avrprog
#define	SIGNATURE_BYTE_1    (0x1E)
#define	SIGNATURE_BYTE_2    (0x94)
#define	SIGNATURE_BYTE_3    (0x03)
#define MARKER_WORD         (0xA55A)       
#define PAGESIZEBYTES       (128)               //Size in Bytes
#define PAGESIZEWORDS       (PAGESIZEBYTES/2)   //Size in words
                                                    
/*#ifdef _B512
    #define APP_PAGES       (128L-8)     // use LDFLAGS += -Wl,-Ttext=0x3c00 in makefile
    #define BOOTJMP          __asm__("jmp 0x3c00");
    // bootloader starts at word address $1E00,  in Fuse High Byte BOOTSZ1 = 0, BOOTSZ0 = 1
#endif
#ifdef _B1024*/
    #define APP_PAGES       (128L-16)     // use LDFLAGS += -Wl,-Ttext=0x3800 in makefile
    #define BOOTJMP          __asm__("jmp 0x3800");
    // bootloader starts at word address $1C00,  in Fuse High Byte BOOTSZ1 = 0, BOOTSZ0 = 0
//#endif


//               mega16 has 128 pages total                     
// 
#define LAST_APP_BYTE       ((APP_PAGES * PAGESIZEBYTES)-1)  
#define LAST_APP_WORD       ((LAST_APP_BYTE-1)/2)


