/*********************************************************\
*  AVR MegaSquirt - 2003                                  *
*  (C) 2003 [Marcell Gal cell at x-dsl.hu]                *
***********************************************************
* io initialization is split out, because also used from 
* bootloader 
* not linked, but inlined (linking across bootloader and
* megasquirt would be dangerous anyway :-)
\*********************************************************/

#ifndef __IOINIT_C__
#define __IOINIT_C__

/* 
* initializes IO ports
* used for GenBoard
*/

static inline void ioinit(void)
{
  PORTA = 0x00; // adc channels
  DDRA = 0x00;

  PORTB = 0x81; // misc LEDs
  DDRB = 0x7F;

  PORTC = 0xC0; // stepmotor
  DDRC = 0xFF;

  PORTD = 0x7F; // pwm active low
  DDRD = 0xB0;
}

#endif
